<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$objetivoAnalise=$sessao->getVar('controle');//
$metodoUtilizado=$sessao->getVar('controle1');//
$obs1=$sessao->getVar('controle2');//
$obs2=$sessao->getVar('controle3');//
$obs3=$sessao->getVar('controle4');//
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$enquadramento=$finalidade;$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 //$maximoHAdobe=297;//isso para vertical
			 //$maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=20;
		     $margemEsquerda=20;
			 $margemDireita=$maximoLAdobe-26;
			 $larguraUtil=$maximoLAdobe-37;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=180;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             $pdf->SetFont('Times','',8);
			 $cinza=220;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 //aqui comeca a ficha reescrita
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=$margemEsquerda+50;
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
             //captura a especie e a id da especie
			 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);        			     $codEspecie=$vetorRaioX[107];
			 
			 
			 
			 $pdf->Rect($margemEsquerda,3,50,25);//borda ao redor da figura
			 $pdf->Image($caminhoFinal,$margemEsquerda+1,4,48,23,'JPG');
	         $pdf->SetFont('Times','B',10);
			 $cota1=3;
			 $pdf->setXY($posicaoCab1,$cota1);
			 $pdf->Cell(210,5,utf8_decode($vetorLaboratorio[0]),1,1,'C');//lab nome
	         $pdf->SetFont('Times','',10);
			 $pdf->setXY($posicaoCab1,$cota1+5);
			 $pdf->Cell(210,4,utf8_decode('Título: Ficha de Análise de Fotopatologia'.$vetorRaioX[43]),1,1,'C');//lab nome
			 $pdf->setXY($posicaoCab1,$cota1+9);
			 $pdf->Cell(37,4,utf8_decode('Válido a partir de:'),1,0,'C');//lab nome
			 $pdf->Cell(60,4,utf8_decode('Número e Versão:'),1,0,'C');//lab nome
			 $pdf->Cell(75,4,utf8_decode('Revisões:'),1,0,'C');//lab nome
			 $pdf->setXY($posicaoCab1,$cota1+13);
			 $pdf->Cell(37,4,utf8_decode('01/10/2016'),1,0,'C');//lab nome
			 $pdf->Cell(60,4,utf8_decode('IT 5.08.08-MQ 00'),1,0,'C');//lab nome
			 $pdf->Cell(75,4,utf8_decode('00'),1,0,'C');//lab nome
			 $pdf->setXY($posicaoCab1+172,$cota1+9);
			 $pdf->Cell(38,8,utf8_decode('Página 1 de 1'),1,0,'C');//lab nome
			 $pdf->setXY($posicaoCab1,$cota1+17);
			 $pdf->Cell(210,4,utf8_decode('Elaborado por: Aline da Consolação Sampaio Clemente'),1,0,'L');//lab nome
			 $pdf->setXY($posicaoCab1,$cota1+21);
			 $pdf->Cell(210,4,utf8_decode('Aprovado por: Paul Bergmann'),1,0,'L');//lab nome
			 
			 ///##########setor de dados////////////////////////////////////////////////
			 $cota1+=30;
	         $pdf->SetFont('Times','B',12);
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell(60,13,utf8_decode('Nº da amostra:').$vetorRaioX[10],1,0,'C');//
			 $pdf->Cell(130,5,utf8_decode('PERÍODO:'),1,0,'C');//
			 $pdf->Cell(70,13,utf8_decode('Nº SEM. TESTADAS:400'),1,0,'C');//
			 $pdf->setXY($margemEsquerda+60,$cota1+5);
			 $guardaCotaInicioFim=$cota1+5;
			 $pdf->Cell(65,8,utf8_decode('Início___________'),1,0,'L');//
			 $pdf->Cell(65,8,utf8_decode('Término___________'),1,0,'L');//
			 $pdf->setXY($margemEsquerda,$cota1+13);
			 $pdf->SetFont('Times','B',10);
			 $pdf->Cell(60,7,utf8_decode('DOENÇA/PATÓGENO'),1,0,'L');//
             for($i=1;$i<=20;$i++):   
			    $pdf->Cell(9,7,$i,1,0,'C');//
			 endfor;
			 $pdf->Cell(20,7,'%',1,0,'C');//
			 
			 //agora vai mostrar a lista
			 $cota1+=20;
			//recuperar os dados da matriz 
 	        //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica->tabela="listapatogenosamostra,listapatogenos";
			$generica->campos_valores = array(
					"lip_nome_cientifico" => NULL,
					"lpa_valor" => NULL,
					"lpa_inicio" => NULL,
					"lpa_final" => NULL,
					"lpa_id" => NULL,
					"lpa_leituras" => NULL,
					"lpa_modo" => NULL,
					"lpa_observacao1" => NULL,
					"lpa_observacao2" => NULL,
					"lpa_observacao3" => NULL,
					"lpa_analista" => NULL,
					"lpa_dataSalvamento" => NULL,
				);
			//$generica->extras_select ="  where lpa_id_patogeno=lip_id and lpa_modo='".$opcaoSele."' and lpa_id_amostra=".$amostraLong." order by lpa_id";
			$generica->extras_select ="  where lpa_id_patogeno=lip_id and lpa_id_amostra=".$amostraLong." order by lpa_id";
		    $generica->selecionaCampos($generica);
            $contador=0; 
			$xxyy=$generica->extras_select;
			//echo("sql=$xxyy  <br>"); 
			while ($resgenerica = $generica->retornaDados()):
				//echo("sql=$resgenerica->lpa_leituras<br>");
 			    //printf('<td>%s',$resgenerica->lip_nome_cientifico);
	            //printf('<a href="?m=patologia&t=editar&idLPA=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
				//</td>',$resgenerica->lpa_id);

                list($L1,$L2,$L3,$L4,$L5,$L6,$L7,$L8,$L9,$L10,$L11,$L12,$L13,$L14,$L15,$L16,$L17,$L18,$L19,$L20)=explode("@",$resgenerica->lpa_leituras);
	
				//printf('<td>%s</td>',$resgenerica->lpa_modo);
				//printf('<td>%s</td>',$resgenerica->lpa_valor);
				$opcaoSele=$resgenerica->lpa_modo;
				$dataInicio=$resgenerica->lpa_inicio;
				$dataFinal=$resgenerica->lpa_final;
				$obs1=$resgenerica->lpa_observacao1;
				$obs2=$resgenerica->lpa_observacao2;
				$obs3=$resgenerica->lpa_observacao3;
				$analista=$resgenerica->lpa_analista;
				$dataSalvamento=$resgenerica->lpa_dataSalvamento;
				
                $repeticoes=substr($opcaoSele,0,2);				
                $sementes=substr($opcaoSele,3,2);				
				$contador++;
				$raiador=0;
				 if($contaPatogenos % 2 !=0):
				   $raiador=1;
				 endif;
	             $pdf->setXY($margemEsquerda,$cota1+$contaPatogenos*5);
					 $nomePatogeno=strtoupper($resgenerica->lip_nome_cientifico ?? "");
                 if(substr($nomePatogeno,0,4)=="BACT"):
  			        $pdf->SetFont('Times','B',10);
				    $pdf->Cell(60,5,utf8_decode($nomePatogeno),1,0,'L',$raiador);//
					$pdf->SetFont('Times','I',8);
                 else: 				 
  			        $pdf->SetFont('Times','I',8);
				    $pdf->Cell(60,5,utf8_decode($resgenerica->lip_nome_cientifico),1,0,'L',$raiador);//
				 endif;	
				    $pdf->SetFont('Times','',8);
				    $pdf->Cell(9,5,utf8_decode($L1),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L2),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L3),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L4),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L5),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L6),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L7),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L8),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L9),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L10),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L11),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L12),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L13),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L14),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L15),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L16),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L17),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L18),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L19),1,0,'C',$raiador);//
				    $pdf->Cell(9,5,utf8_decode($L20),1,0,'C',$raiador);//
					$pdf->Cell(20,5,number_format($resgenerica->lpa_valor,2,",",".").'%',1,0,'C',$raiador);//

				//$opcao=$resgenerica->lpa_modo;
				$contaPatogenos=$contador;
                //$repeticoes=substr($opcao,0,2);
                //$sementes=substr($opcao,3,2);
				//echo '</tr>';
            endwhile;
             //vai imprimir data inico e data final
             $pdf->setXY(100,$guardaCotaInicioFim);
     		 $pdf->Cell(65,8,$dataInicio,0,0,'L');//
			 $pdf->Cell(65,8,$dataFinal,0,0,'L');//



			$tamanhoTabela=200+$repeticoes*50;//era60  era 150
			
			 /*
		    //ENTRA DE QUAKQUER MANEIRA
	 	 	$generica=new tabelagenerica();
			$generica->tabela="listapatogenoespecie,listapatogenos";
			$generica->campos_valores = array(
					"lip_id" => NULL,
					"lip_nome_cientifico" => NULL,
				);
			$generica->extras_select =" where lpe_patogeno_id=lip_id and lpe_especie_id=".$codEspecie." order by lip_nome_cientifico";
		    $generica->selecionaCampos($generica);
			$contaPatogenos=0;
			$pdf->SetFont('Times','I',8);
			while ($resgenerica = $generica->retornaDados()):
			 $raiador=0;
			 if($contaPatogenos % 2 !=0):
			   $raiador=1;
			 endif;
				 $pdf->setXY($margemEsquerda,$cota1+$contaPatogenos*5);
				 $nomePatogeno=strtoupper($resgenerica->lip_nome_cientifico ?? ""));
                 if(substr($nomePatogeno,0,4)=="BACT"):
  			        $pdf->SetFont('Times','B',10);
				    $pdf->Cell(60,5,utf8_decode($nomePatogeno),1,0,'L',$raiador);//
                 else: 				 
  			        $pdf->SetFont('Times','I',8);
				    $pdf->Cell(60,5,utf8_decode($resgenerica->lip_nome_cientifico),1,0,'L',$raiador);//
			     endif;
				 $contaPatogenos++;
	             for($i=1;$i<=20;$i++):   
				    $pdf->Cell(9,5,'',1,0,'C',$raiador);//
				 endfor;
			     $pdf->Cell(20,5,' ',1,0,'C',$raiador);//
		    endwhile;
			*/
			
            //ADICIONA SEMENTE DURA	
			 if($contaPatogenos % 2 !=0):
			   $raiador=1;
			 endif;
			 $pdf->SetFont('Times','B',10);		 
			 $pdf->setXY($margemEsquerda,$cota1+$contaPatogenos*5);
	         $pdf->Cell(60,5,utf8_decode('SEMENTE DURA'),1,0,'L',$raiador);//
             for($i=1;$i<=20;$i++):   
			    $pdf->Cell(9,5,'',1,0,'C',$raiador);//
			 endfor;
		     $pdf->Cell(20,5,' ',1,0,'C',$raiador);//
			 
			 //setor outros patogenos
			 $incremento= $contaPatogenos*5 + 5;
             $cota1+=$incremento;
			 $pdf->setXY($margemEsquerda,$cota1);
	         $pdf->Cell($larguraUtil,5,utf8_decode('Outros:'),1,0,'L');//
			 /*
			 $pdf->SetFont('Times','',10);		 
             $cota1+=5;
             $pdf->Rect($margemEsquerda,$cota1,$larguraUtil,17);
			 $pdf->setXY($margemEsquerda,$cota1);
	         $pdf->Cell($larguraUtil,5,utf8_decode('SAPRÓFITAS:'),0,0,'L');//
			 $pdf->setXY($margemEsquerda+35,$cota1+2);
			 $pdf->SetFont('Times','I',10);		 
	         $pdf->Cell(50,5,utf8_decode('(  )Alternaria sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Curvularia sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Nigrospora sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Trichoderma sp.'),0,0,'L');//
			 $pdf->setXY($margemEsquerda+35,$cota1+7);
	         $pdf->Cell(50,5,utf8_decode('(  )Chaetomium sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Helminthosporium sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Penicilium sp.'),0,0,'L');//
			 $pdf->setXY($margemEsquerda+35,$cota1+12);
	         $pdf->Cell(50,5,utf8_decode('(  )Cladosporium sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Mucor sp.'),0,0,'L');//
	         $pdf->Cell(50,5,utf8_decode('(  )Rhizopus sp.'),0,0,'L');//
			 */
			 $cota1+=17;
			 $pdf->SetFont('Times','B',12);		 
			 $pdf->setXY($margemEsquerda,$cota1);
	         $pdf->Cell($larguraUtil,7,utf8_decode('OBSERVAÇÕES:'),1,0,'L');//
			 $pdf->setXY($margemEsquerda,$cota1+7);
	         $pdf->Cell($larguraUtil,5,utf8_decode($obs1),1,0,'L');//
			 $pdf->setXY($margemEsquerda,$cota1+12);
	         $pdf->Cell($larguraUtil,5,utf8_decode($obs2),1,0,'L');//
			 $pdf->setXY($margemEsquerda,$cota1+17);
	         $pdf->Cell($larguraUtil,5,utf8_decode($obs3),1,0,'L');//
             $cota1+=17;
			 
			 $pdf->setXY($margemEsquerda,$cota1+7);
	         $pdf->Cell($larguraUtil/2,7,utf8_decode('Data:').$dataSalvamento,1,0,'L');//
	         $pdf->Cell($larguraUtil/2,7,utf8_decode('Analista:').$analista,1,0,'L');//
             
			 																																																																															
			 
			 
			 
			 
			 


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
